> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://next.developer.frame.io/platform/v4-experimental/api-reference/collections/index/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://next.developer.frame.io/_mcp/server. # List collections GET https://api.frame.io/v4/accounts/{account_id}/projects/{project_id}/collections List collections for a project. This endpoint has been added to `Current Version` of the API. Please see [https://next.developer.frame.io/platform/v4/api-reference/collections/index](https://next.developer.frame.io/platform/v4/api-reference/collections/index). Rate Limits: 100 calls per 1.00 minute(s) per account\_user Reference: https://next.developer.frame.io/platform/api-reference/collections/index ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `account_id` (string, required) - `project_id` (string, required) ### Query parameters - `include` (string, optional) - `after` (string, optional) — Opaque Cursor query param for requests returning paginated results. NOTE: this value is auto-generated and included as part of links from a previous response. It is not intended to be human readable. - `page_size` (integer, optional, default: 50) - `include_total_count` (boolean, optional, default: false) ### Headers - `api-version` (enum, required) - Allowed values: `experimental` ## Response ### 200 OK - `data` (list of Collection, required) — Collections - `links` (Links, required) — Links to paginated data - `total_count` (integer, optional, nullable) — Total count ## Errors ### 400 Bad Request Error Bad request - `errors` (list of BadRequestErrorsItems, required) ### 401 Unauthorized Error Unauthorized - `errors` (list of UnauthorizedErrorsItems, required) ### 403 Forbidden Error Forbidden - `errors` (list of ForbiddenErrorsItems, required) ### 404 Not Found Error Not found - `errors` (list of NotFoundErrorsItems, required) ### 409 Conflict Error Conflict - `errors` (list of ConflictErrorsItems, required) ### 422 Unprocessable Entity Error Unprocessable content - `errors` (list of UnprocessableContentErrorsItems, required) ### 429 Too Many Requests Error Too many requests - `errors` (list of TooManyRequestsErrorsItems, required) ## Types ### Collection - `aggregation_mode` (enum, required) - Allowed values: `static`, `dynamic` - `auto_generated` (boolean, required) - `created_at` (string, required) — Creation timestamp - `description` (string, required, nullable) — Collection description - `id` (string, required) — Collection ID - `name` (string, required, nullable) — Collection name - `private` (boolean, required) - `project_id` (string, required) — Project ID - `root_folder_id` (string, required, nullable) — Root folder ID - `updated_at` (string, required) — Update timestamp - `creator` (User, optional) — User details - `project` (ProjectWithDescription, optional) — Frame.io Project - `shares` (list of Share, optional) — Shares ### Links Links to paginated data - `next` (string, required, nullable) — "Link to next page of data. This link is the request path with the addition of the `after` query parameter to fetch the next page of results. It only carries the `after` cursor. Other query params from the original request (e.g. `include`, `sort`, `page_size`, `include_total_count`, filters) are not preserved and must be re-added by the client on every subsequent request, including when following this link. ### BadRequestErrorsItems - `detail` (string, required) - `source` (BadRequestErrorsItemsSource, optional) - `title` (string, optional) ### UnauthorizedErrorsItems - `detail` (string, required) - `source` (UnauthorizedErrorsItemsSource, optional) - `title` (string, optional) ### ForbiddenErrorsItems - `detail` (string, required) - `source` (ForbiddenErrorsItemsSource, optional) - `title` (string, optional) ### NotFoundErrorsItems - `detail` (string, required) - `source` (NotFoundErrorsItemsSource, optional) - `title` (string, optional) ### ConflictErrorsItems - `detail` (string, required) - `source` (ConflictErrorsItemsSource, optional) - `title` (string, optional) ### UnprocessableContentErrorsItems - `detail` (string, required) - `source` (UnprocessableContentErrorsItemsSource, optional) - `title` (string, optional) ### TooManyRequestsErrorsItems - `detail` (string, required) - `source` (TooManyRequestsErrorsItemsSource, optional) - `title` (string, optional) ### User User details - `active` (boolean, required, nullable) — User active status - `avatar_url` (string, required, nullable) — User avatar image url - `email` (string, required) — User email - `id` (string, required, nullable) — User ID - can be null for invited users with no Frame account - `name` (string, required, nullable) — User name - `adobe_user_id` (string, optional, nullable) — Adobe user ID ### ProjectWithDescription Frame.io Project - `created_at` (string, required) — Created Timestamp - `id` (string, required) — Project ID - `name` (string, required) — Project Name - `root_folder_id` (string, required) — Root Folder ID - `status` (enum, required) — Project Status - Allowed values: `active`, `inactive` - `storage` (integer, required, default: 0) — Storage Usage - `updated_at` (string, required) — Updated Timestamp - `view_url` (string, required) — URL to view the project in the Frame.io web application - `workspace_id` (string, required) — Workspace ID - `description` (string, required, nullable) — Project Description - `adobe_id` (string, optional, nullable) — Adobe cloud storage directory ID associated with the project, when available. - `image` (string, optional, nullable) — URL of the project image (icon). Null when no image has been uploaded. - `restricted` (boolean, optional) — Whether the project is restricted or not ### Share - `enabled` (boolean, required) — Whether the share link is active - `access` (enum, required) - Allowed values: `public`, `secure` - `last_viewed_at` (string, required, nullable) — Last viewed timestamp - `updated_at` (string, required) — Update timestamp - `commenting_enabled` (boolean, required) — Whether commenting is enabled on the share - `description` (string, required, nullable) — Share description - `created_at` (string, required) — Creation timestamp - `name` (string, required, nullable) — Share name - `collection_id` (string, required) — Collection ID - `short_url` (string, required, nullable) — Share URL - `downloading_enabled` (boolean, required) — Whether downloading is enabled on the share - `id` (string, required) — Share ID - `expiration` (string, required, nullable) — Expiration timestamp - `card_info_enabled` (boolean, optional) — Whether to show card info (metadata) on cards when layout is grid - `icons_visible_on_list` (boolean, optional) — Whether visible-field icons are shown alongside text when layout is list - `theme` (enum, optional) — Color theme - Allowed values: `dark`, `light`, `neutral` - `editable_fields_enabled` (boolean, optional) — When true, all visible non-system fields can be edited by share recipients. When false, only the featured field is editable. - `card_aspect_ratio` (enum, optional) — Aspect ratio of cards. Applies to layouts: grid, reel. - Allowed values: `horizontal`, `square`, `vertical` - `passphrase` (string, optional, nullable) — Passphrase to access share, if passphrase is required and not given it will be generated - `sort_by` (ShareSortBy, optional) — Field ID and direction by which share assets will be sorted - `forensic_watermark_enabled` (boolean, optional) — Whether forensic watermarking is enabled on the share - `list_row_size` (enum, optional) — Row size when layout is list - Allowed values: `small`, `medium`, `large` - `card_size` (enum, optional) — Relative size of cards when layout is grid - Allowed values: `small`, `medium`, `large` - `reel_card_aspect_ratio` (enum, optional) — Aspect ratio of cards when layout is reel - Allowed values: `horizontal`, `square`, `vertical` - `drm_enabled` (boolean, optional) — Whether digital rights management is enabled on the share - `show_asset_name_in_reel_layout` (boolean, optional) — Whether the asset name is displayed when layout is reel - `captions_enabled` (boolean, optional, nullable) — Whether reviewers can view captions on shared assets - `transcripts_enabled` (boolean, optional, nullable) — Whether reviewers can view transcripts on shared assets - `watermark_enabled` (boolean, optional, nullable) — Whether watermarking is enabled on the share - `reel_card_fit_image` (boolean, optional) — Thumbnail scale when layout is reel. `true` fills the card (may crop); `false` fits the thumbnail inside the card. - `featured_field_definition_id` (string, optional, nullable) — ID of the field definition to set as the featured (always-editable) field for share recipients - `open_in_viewer_enabled` (boolean, optional) — Whether shares with a single asset will open in a larger view. Applies to layouts: grid, list. - `accent_color` (string, optional, nullable) — Hex code for accent color - `layout` (enum, optional) — Share layout. Required when updating appearance fields - Allowed values: `grid`, `list`, `reel` - `show_all_asset_versions` (boolean, optional, nullable) — Whether reviewers can see every version in a shared version stack (rather than only the head version) - `name_column_width` (integer, optional, nullable) — Width of the name column in pixels when layout is list - `thumbnail_scale` (enum, optional) — Thumbnail scale. `fill` may crop; `fit` letterboxes inside the card. - Allowed values: `fit`, `fill` - `title_line_count` (integer, optional) — Number of lines for the card title (1 or 2) when layout is grid - `visible_field_definition_ids` (list of string, optional) — IDs of field definitions to show in the share. Applies to the share's active layout. When omitted, inherits from the project's default field visibility. ### BadRequestErrorsItemsSource - `pointer` (string, optional) ### UnauthorizedErrorsItemsSource - `pointer` (string, optional) ### ForbiddenErrorsItemsSource - `pointer` (string, optional) ### NotFoundErrorsItemsSource - `pointer` (string, optional) ### ConflictErrorsItemsSource - `pointer` (string, optional) ### UnprocessableContentErrorsItemsSource - `pointer` (string, optional) ### TooManyRequestsErrorsItemsSource - `pointer` (string, optional) ### ShareSortBy Field ID and direction by which share assets will be sorted - `direction` (enum, required) - Allowed values: `asc`, `desc` - `field_definition_id` (string, required) — A UUID string that uniquely identifies a Frame.io entity. ## Examples **Response** ```json { "data": [ { "aggregation_mode": "dynamic", "auto_generated": false, "created_at": "2024-02-02T21:19:24.828948Z", "description": "Description of collection", "id": "5b84671c-861f-4ed1-8d0d-7f7c739fbc56", "name": "Test Collection", "private": false, "project_id": "1c3378bc-9430-44bb-92a8-b04a39ec320e", "root_folder_id": "4696065e-3d4e-463f-acab-577f0dc9f037", "updated_at": "2024-02-02T21:19:24.828948Z" }, { "aggregation_mode": "dynamic", "auto_generated": false, "created_at": "2024-02-02T21:19:24.828948Z", "description": "Description of collection", "id": "5b84671c-861f-4ed1-8d0d-7f7c739fbc56", "name": "Test Collection", "private": false, "project_id": "1c3378bc-9430-44bb-92a8-b04a39ec320e", "root_folder_id": "4696065e-3d4e-463f-acab-577f0dc9f037", "updated_at": "2024-02-02T21:19:24.828948Z", "creator": { "active": true, "avatar_url": "https://assets.frame.io/uploads/cd58cb8e-24b3-4448-8d0f-9532fcd04d11/original.png?response-content-disposition=attachment%3B+filename%3D%22foo.png&Expires=1729857600&Signature=L09h0pi82dCrMYjr9lMHBragByWYh1&Key-Pair-Id=KKI497NESTHMN", "email": "user_email@example.com", "id": "7cf3b0de-bf3e-41ab-9a14-67ed4cc226a9", "name": "Jon Doe", "adobe_user_id": "196C1A5666BF4EB00A49411B@176719f5667c82b4494214.e" }, "project": { "created_at": "2024-01-25T19:18:29.614189Z", "id": "540c373c-9ab9-42a4-abc4-dd9938ad9900", "name": "My Project", "root_folder_id": "0c2cc52e-1619-4bce-a200-4264b37009c4", "status": "active", "storage": 15000, "updated_at": "2024-02-07T16:44:41.986478Z", "view_url": "https://next.frame.io/project/d5e6011c-2bc9-4596-be05-77d562627112/", "workspace_id": "cc06d1e9-59b7-498d-97b0-78e44a04c124", "description": "Project Description", "adobe_id": "urn:aaid:sc:US:9f4e4d7a-4b6b-4c4f-9f00-b31a91cfc6f3", "image": "https://picture.frame.io/image/convert/frameio-uploads-development/projects/d5e6011c-2bc9-4596-be05-77d562627112/project_image_original.png", "restricted": false }, "shares": [ { "enabled": true, "access": "public", "last_viewed_at": "2024-03-02T21:19:24.828948Z", "updated_at": "2024-02-02T21:19:24.828948Z", "commenting_enabled": true, "description": "Description of share", "created_at": "2024-02-02T21:19:24.828948Z", "name": "Test Share", "collection_id": "f68c6f92-5348-4731-b039-03bd22af9a21", "short_url": "https://f.io/GGa9wPw5", "downloading_enabled": true, "id": "531cba96-b7e7-4d2e-9c67-260880c35039", "expiration": "2026-10-05T19:46:03.135828Z", "card_info_enabled": true, "icons_visible_on_list": true, "theme": "dark", "editable_fields_enabled": false, "card_aspect_ratio": "square", "passphrase": "as!dfj39sd(*", "sort_by": { "direction": "asc", "field_definition_id": "fb95e44f-d2b0-4f14-9f8f-6406f336b12b" }, "forensic_watermark_enabled": false, "list_row_size": "small", "card_size": "medium", "reel_card_aspect_ratio": "square", "drm_enabled": false, "show_asset_name_in_reel_layout": false, "captions_enabled": true, "transcripts_enabled": true, "watermark_enabled": true, "reel_card_fit_image": false, "featured_field_definition_id": "c7d3924c-5247-4780-b6f9-6978b0f56583", "open_in_viewer_enabled": true, "accent_color": "#FF0000", "layout": "grid", "show_all_asset_versions": true, "name_column_width": null, "thumbnail_scale": "fill", "title_line_count": 1, "visible_field_definition_ids": [ "0bd2643a-7cfd-4f32-9c5a-cba85bbb9873" ] } ] } ], "links": { "next": "/v4/accounts/123/projects/123/collections" }, "total_count": 10 } ``` **SDK Code** ```python import requests url = "https://api.frame.io/v4/accounts/b8381cac-007b-435d-9a9a-80637426d4e4/projects/4f8af113-8343-42e9-9af3-67a41cc62a94/collections" headers = { "api-version": "experimental", "Authorization": "Bearer " } response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.frame.io/v4/accounts/b8381cac-007b-435d-9a9a-80637426d4e4/projects/4f8af113-8343-42e9-9af3-67a41cc62a94/collections'; const options = { method: 'GET', headers: {'api-version': 'experimental', Authorization: 'Bearer '} }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.frame.io/v4/accounts/b8381cac-007b-435d-9a9a-80637426d4e4/projects/4f8af113-8343-42e9-9af3-67a41cc62a94/collections" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("api-version", "experimental") req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.frame.io/v4/accounts/b8381cac-007b-435d-9a9a-80637426d4e4/projects/4f8af113-8343-42e9-9af3-67a41cc62a94/collections") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["api-version"] = 'experimental' request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.frame.io/v4/accounts/b8381cac-007b-435d-9a9a-80637426d4e4/projects/4f8af113-8343-42e9-9af3-67a41cc62a94/collections") .header("api-version", "experimental") .header("Authorization", "Bearer ") .asString(); ``` ```php request('GET', 'https://api.frame.io/v4/accounts/b8381cac-007b-435d-9a9a-80637426d4e4/projects/4f8af113-8343-42e9-9af3-67a41cc62a94/collections', [ 'headers' => [ 'Authorization' => 'Bearer ', 'api-version' => 'experimental', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.frame.io/v4/accounts/b8381cac-007b-435d-9a9a-80637426d4e4/projects/4f8af113-8343-42e9-9af3-67a41cc62a94/collections"); var request = new RestRequest(Method.GET); request.AddHeader("api-version", "experimental"); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "api-version": "experimental", "Authorization": "Bearer " ] let request = NSMutableURLRequest(url: NSURL(string: "https://api.frame.io/v4/accounts/b8381cac-007b-435d-9a9a-80637426d4e4/projects/4f8af113-8343-42e9-9af3-67a41cc62a94/collections")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```